#include <iostream>

using namespace std;



int main() {

	
	while (true) {
		// u beskonacnoj petlji se unose brojevi x i y
		int x, y, newNumber = 0;
		std::cout << "unesite broj x" << endl;
		cin >> x;
		std::cout << "unesite broj y" << endl;
		cin >> y;
		
		int numOfZeros = 0;
		// ovo nam je promenljiva koja pamti ako su i cifra iz x i cifra iz y 0 koliko ih ima (videces cemu sluzi)
		bool firstIteration = true;
		//a ova promenljiva sluzi da ispita da li je prva iteracija u pitanju tj. da li je newNumber = 0


		
		while (x != 0 && y != 0) {
			int digitX = x % 10;
			int digitY = y % 10;
			//uzimamo poslednju cifru iz x i y
			
			if (digitX > digitY) {
				newNumber = newNumber * 10 + digitX;
				//ako je X vece od Y onda se formirani broj mnozi sa 10 i dodaje cifra iz X
			}
			
			if (digitY > digitX) {
				newNumber = newNumber * 10 + digitY;
				
			}

			if (digitX == digitY){
				if (digitX == 0 and firstIteration) {
					numOfZeros += 2;
					firstIteration = false;
					
				}
				int temp = digitX*10 + digitY;
				
				newNumber = newNumber * 100 + temp;
			}
			
			
			if (numOfZeros && newNumber > 0 && firstIteration) {
				int multiplyNumber = 1;
				for (int i = 0; i < numOfZeros; i++)
					multiplyNumber *= 10;
				newNumber *= multiplyNumber;
			}

			x = x / 10;
			y = y / 10;
	
		}
		int reversed_number = 0, remainder;
		while (newNumber != 0) {
			remainder = newNumber % 10;
			reversed_number = reversed_number * 10 + remainder;
			newNumber /= 10;
		}
		std::cout << reversed_number << endl;
	}
 
}